BASENAME(1)

NAME
basename, dirname - strip off file prefixes and suffixes

SYNOPSIS
basename file [suffix]
dirname file

EXAMPLES

DESCRIPTION

Basename removes the initial directory names (if any) yielding the name of the file itself. If a second argument is present, it is interpreted as a suffix and is also stripped, if present.

Dirname removes the final component of a path, yielding the directory a file is in.

These programs are primarily used in shell scripts.